package jeu;

/**
 * Un plateau de jeu. Les cases vides doivent être remplies avec une pièce
 * représentant la case vide.
 * @author courtieu
 */
public class Plateau {

    // Les pièces du plateau.
    private Piece[][] plateau;

    /**
     * Construit un tableau rempli de cases {@code null} de
     * largeur {@code width} et de hauteur {@code height}. Attention ces
     * cases {@code null} ne sont pas utilisables ni affichable en l'état
     * il faut mettre des pièces dedans (éventuellement des pièce vides).
     * 
     * @param width largeur du tableau
     * @param height hauteur du tableau
     */
    public Plateau (int width, int height){
        this.plateau = new Piece[width][height];
    }

    /** {@code iop.getPiece(x,y)} retourne la pièce située à la coordonnée
     * {@code x,y} dans {@code iop}. */
    public Piece getPiece(int x, int y) {
        return this.plateau[x][y];
    }


    /**
     * {@code iop.setPiece(x,y,p)} positionnne la pièce {@code p} à la coordonnée
     * {@code x,y} sur le plateau de {@code iop}.
     * @param x le numéro de colonne de la case à remplir
     * @param y le numéro de ligne de la case à remplir
     * @param p la pièce à mettre
     */
    public void setPiece(int x, int y, Piece p) {
        this.plateau[x][y] = p;
    }

}
